cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"clientId": "<string>",
"primaryCoach": {
"coachId": "<string>",
"name": "<string>",
"imageUrl": "<string>"
},
"assignedCoaches": [
{
"coachId": "<string>",
"name": "<string>",
"imageUrl": "<string>"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Assigned coaches
Get assigned coaches
Requires clients:read.
GET
/
public
/
v1
/
clients
/
{clientId}
/
assigned-coaches
cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/assigned-coaches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"clientId": "<string>",
"primaryCoach": {
"coachId": "<string>",
"name": "<string>",
"imageUrl": "<string>"
},
"assignedCoaches": [
{
"coachId": "<string>",
"name": "<string>",
"imageUrl": "<string>"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I